package com.qmth.distributed.print.business.bean.params;

import com.qmth.distributed.print.business.enums.CardStatusEnum;
import com.qmth.distributed.print.business.enums.CardTypeEnum;
import com.qmth.distributed.print.business.enums.MakeMethodEnum;
import com.qmth.teachcloud.common.enums.CardCreateMethodEnum;

import java.util.List;

/**
 * 题卡管理（通卡）参数
 */
public class GenericExamCardParams {

    /**
     * exam_card主键ID
     */
    private Long id;
    private String title;
    private CardCreateMethodEnum createMethod;
    private String content;
    private String htmlContent;
    // 上传附件ID
    private Long attachmentId;
    private String remark;
    private Long cardRuleId;
    private String status;
    private Long[] orgIds;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public CardCreateMethodEnum getCreateMethod() {
        return createMethod;
    }

    public void setCreateMethod(CardCreateMethodEnum createMethod) {
        this.createMethod = createMethod;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getHtmlContent() {
        return htmlContent;
    }

    public void setHtmlContent(String htmlContent) {
        this.htmlContent = htmlContent;
    }

    public Long getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Long attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getCardRuleId() {
        return cardRuleId;
    }

    public void setCardRuleId(Long cardRuleId) {
        this.cardRuleId = cardRuleId;
    }

    public Long[] getOrgIds() {
        return orgIds;
    }

    public void setOrgIds(Long[] orgIds) {
        this.orgIds = orgIds;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
